# defining macros needed by SELinux
%global selinuxtype targeted
%global moduletype contrib
%global modulename ol_automation_manager

Name: ol-automation-manager-selinux
Version: 0.1
Release: 1%{?dist}
License: GPLv2
# URL: URL to git repository with policy source files
Summary: SELinux policies for Oracle Linux Automation Manager
Source0: ol-automation-manager-selinux-%{version}.tar.gz
BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildArch: noarch
%{?selinux_requires}
%description
SELinux policies for Oracle Linux Automation Manager.

%prep
%setup -q

%build
make

%pre
%selinux_relabel_pre -s %{selinuxtype}

%install
# install policy modules
install -d %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}
install -m 0644 %{modulename}.pp.bz2 %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename}
fi

%posttrans
%selinux_relabel_post -s %{selinuxtype}

%files
%{_datadir}/selinux/packages/targeted/%{modulename}.pp.bz2
%ghost %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}
%license COPYING

%changelog
* Mon Apr 14 2025 Carlos Heiras <carlos.heiras@oracle.com> - 0.1-1
- Initial release